Bug 1013614 - modifyrepo crashes when a bad checksum type is specified
modifyrepo crashes when a bad checksum type is specified
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 09:01 EDT by Tomas Mlcoch
Modified: 2013-10-29 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: createrepo-0.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:54:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mlcoch 2013-09-30 09:01:23 EDT
Description of problem:
When a bad checksum type is specified, modifyrepo crashesh with python traceback and Abrt detects the problem.

Version-Release number of selected component (if applicable):
Name        : createrepo
Version     : 0.9.9
Release     : 21.fc19

How reproducible:
always

Steps to Reproduce:
modifyrepo --checksum foo file.xml rpms_sss/repodata

Actual results:
Traceback (most recent call last):
  File "/usr/share/createrepo/modifyrepo.py", line 238, in <module>
    ret = main(sys.argv[1:])
  File "/usr/share/createrepo/modifyrepo.py", line 231, in main
    repomd.add(metadata, mdtype=opts.mdtype)
  File "/usr/share/createrepo/modifyrepo.py", line 132, in add
    open_csum = checksum(self.checksum_type, metadata)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 355, in checksum
    data = Checksums([sumtype])
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 273, in __init__
    raise MiscError, 'Error Checksumming, bad checksum type %s' % sumtype
yum.Errors.MiscError: Error Checksumming, bad checksum type foo

Expected results:
Error message about non supported checksum type.
Comment 1 Fedora Update System 2013-10-01 07:54:33 EDT
createrepo-0.9.9-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.9.9-23.fc19
Comment 2 Fedora Update System 2013-10-02 02:50:27 EDT
Package createrepo-0.9.9-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing createrepo-0.9.9-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18128/createrepo-0.9.9-23.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-18 09:09:22 EDT
createrepo-0.10-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-0.fc19
Comment 4 Fedora Update System 2013-10-22 03:32:51 EDT
createrepo-0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-1.fc19
Comment 5 Fedora Update System 2013-10-29 21:54:08 EDT
createrepo-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.